cURL
curl --request POST \
--url https://api.useanima.sh/v1/orgs/{orgId}/anomaly-alerts/{alertId}/false-positive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resolvedBy": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/anomaly-alerts/{alertId}/false-positive"
payload = { "resolvedBy": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resolvedBy: '<string>'})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/anomaly-alerts/{alertId}/false-positive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"agentId": "<string>",
"metric": "email_send_rate",
"severity": "INFO",
"status": "TRIGGERED",
"baselineValue": 123,
"actualValue": 123,
"zScore": 123,
"ruleId": "<string>",
"details": {},
"acknowledgedBy": "<string>",
"acknowledgedAt": "<string>",
"resolvedBy": "<string>",
"resolvedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Post orgs anomaly alerts false positive
POST
/
orgs
/
{orgId}
/
anomaly-alerts
/
{alertId}
/
false-positive
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Input for marking an anomaly alert as false positive
User marking alert as false positive
Response
200 - application/json
OK
An anomaly detection alert
Unique alert identifier
Organization identifier
Agent identifier
Type of metric being tracked
Available options:
email_send_rate, sms_send_rate, vault_access_rate, api_call_rate, unique_recipients Severity level of the anomaly alert
Available options:
INFO, WARNING, CRITICAL Current status of the anomaly alert
Available options:
TRIGGERED, ACKNOWLEDGED, RESOLVED, FALSE_POSITIVE Expected baseline value
Observed actual value
Z-score of the deviation
Identifier of the rule that triggered this alert
Additional details about the anomaly
Show child attributes
Show child attributes
User who acknowledged the alert
ISO 8601 timestamp when acknowledged
User who resolved the alert
ISO 8601 timestamp when resolved
ISO 8601 timestamp when alert was created
ISO 8601 timestamp when alert was last updated
